#
# This is utility script for 
# create openframeworks_osx_make release package
#
# (usgae)
# ./openframeworks_osx_make/utils/create-release-package.sh openframeworks_osx_make 1.2
#

name=$1
version=alpha_v${2}
release_name=${name}-${version}

echo "copy ${name} to ${release_name}"
cp -a ${name} ${release_name}

cd ${release_name}/apps/audioOutputExample
make clean
cd ../../../

cd ${release_name}/apps/graphicsExample
make clean
cd ../../../

cd ${release_name}/apps/grauapp
make clean_all
cd ../../../

cd ${release_name}/apps/stkExample
make clean_all
cd ../../../

find ${release_name}/ -name ".DS_Store" -print -exec rm {} ";"
find ${release_name}/ -name "*.pcm" -print -exec rm {} ";"
find ${release_name}/ -name "GPATH" -print -exec rm {} ";"
find ${release_name}/ -name "GRTAGS" -print -exec rm {} ";"
find ${release_name}/ -name "GTAGS" -print -exec rm {} ";"

rm -rf ${release_name}/.git*
tar czvf ${release_name}.tar.gz ${release_name}

